Summary:	Additional ghostscript fonts
Name:		ghostscript-fonts-other
Version:	8.11
Release:	3
License:	GPL
Group:		System
URL:		http://www.cs.wisc.edu/~ghost/
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	t1utils-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_t1fontsdir	/usr/share/ghostscript/fonts
%define		_t1afmdir	/usr/share/ghostscript/fonts/afm
%define		_t1pfmdir	/usr/share/ghostscript/fonts/pfm

%description
This package contains additional fonts for ghostscript.

Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many
printer formats (including support for color printers), and popular
graphics file formats.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
cd fonts
install -d $RPM_BUILD_ROOT{%{_t1fontsdir},%{_t1afmdir},%{_t1pfmdir}}
# present in t1lib-fonts
rm -f bch*

install *.gsf $RPM_BUILD_ROOT%{_t1fontsdir}
install *.afm $RPM_BUILD_ROOT%{_t1afmdir}
install *.pfm $RPM_BUILD_ROOT%{_t1pfmdir}
#install Fontmap $RPM_BUILD_ROOT%{_t1fontsdir}
#install fonts.dir $RPM_BUILD_ROOT%{_t1fontsdir}
#install fonts.scale $RPM_BUILD_ROOT%{_t1fontsdir}

for f in *.pfa; do
	t1binary $f $RPM_BUILD_ROOT%{_t1fontsdir}/`basename $f .pfa`.pfb
done

#install %{SOURCE1} $RPM_BUILD_ROOT%{_t1fontsdir}/Fontmap.%{name}
#install %{SOURCE2} $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale.%{name}
touch -c `find $RPM_BUILD_ROOT/.`

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf fonts

%files
%defattr(644,root,root,755)
/usr/share/ghostscript/fonts
